<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SigGen: siggen::HashMD5 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SigGen
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structsiggen_1_1_hash_m_d5.html','');});
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="structsiggen_1_1_hash_m_d5-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">siggen::HashMD5 Class Reference<span class="mlabels"><span class="mlabel">final</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>MD5 implementation.  
 <a href="structsiggen_1_1_hash_m_d5.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_hash_m_d5_8h_source.html">HashMD5.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for siggen::HashMD5:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structsiggen_1_1_hash_m_d5.png" usemap="#siggen::HashMD5_map" alt=""/>
  <map id="siggen::HashMD5_map" name="siggen::HashMD5_map">
<area href="structsiggen_1_1_hash_base.html" title="base for cryptographic functions" alt="siggen::HashBase" shape="rect" coords="0,0,112,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac19394e2a1c3fba563445469b8b5399c"><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsiggen_1_1_hash_m_d5.html#ac19394e2a1c3fba563445469b8b5399c">GetSignatureSize</a> () const final</td></tr>
<tr class="memdesc:ac19394e2a1c3fba563445469b8b5399c"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns size of the signature  <a href="structsiggen_1_1_hash_m_d5.html#ac19394e2a1c3fba563445469b8b5399c">More...</a><br /></td></tr>
<tr class="separator:ac19394e2a1c3fba563445469b8b5399c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa40f031d6beb761a413ac1c116d79298"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsiggen_1_1_hash_m_d5.html#aa40f031d6beb761a413ac1c116d79298">CalculateSignature</a> (char const *data, size_t size, char *digest) const final</td></tr>
<tr class="memdesc:aa40f031d6beb761a413ac1c116d79298"><td class="mdescLeft">&#160;</td><td class="mdescRight">calculates signature of the block of data  <a href="structsiggen_1_1_hash_m_d5.html#aa40f031d6beb761a413ac1c116d79298">More...</a><br /></td></tr>
<tr class="separator:aa40f031d6beb761a413ac1c116d79298"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_structsiggen_1_1_hash_base"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_structsiggen_1_1_hash_base')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="structsiggen_1_1_hash_base.html">siggen::HashBase</a></td></tr>
<tr class="memitem:a1f67711fe8ce2ae59a0fd8f33f6b51a2 inherit pub_static_methods_structsiggen_1_1_hash_base"><td class="memItemLeft" align="right" valign="top">static std::unique_ptr&lt; <a class="el" href="structsiggen_1_1_hash_base.html">HashBase</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsiggen_1_1_hash_base.html#a1f67711fe8ce2ae59a0fd8f33f6b51a2">Factory</a> (std::string const &amp;name)</td></tr>
<tr class="memdesc:a1f67711fe8ce2ae59a0fd8f33f6b51a2 inherit pub_static_methods_structsiggen_1_1_hash_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">creates hash according to specified name  <a href="structsiggen_1_1_hash_base.html#a1f67711fe8ce2ae59a0fd8f33f6b51a2">More...</a><br /></td></tr>
<tr class="separator:a1f67711fe8ce2ae59a0fd8f33f6b51a2 inherit pub_static_methods_structsiggen_1_1_hash_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>MD5 implementation. </p>

<p class="definition">Definition at line <a class="el" href="_hash_m_d5_8h_source.html#l00009">9</a> of file <a class="el" href="_hash_m_d5_8h_source.html">HashMD5.h</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aa40f031d6beb761a413ac1c116d79298"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa40f031d6beb761a413ac1c116d79298">&#9670;&nbsp;</a></span>CalculateSignature()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void siggen::HashMD5::CalculateSignature </td>
          <td>(</td>
          <td class="paramtype">char const *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>digest</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>calculates signature of the block of data </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>buffer with data for calculation of signature </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">size</td><td>size of the data </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">digest</td><td>resulting signature </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="structsiggen_1_1_hash_base.html#a969745d5499397d381f4d6d94478569b">siggen::HashBase</a>.</p>

<p class="definition">Definition at line <a class="el" href="_hash_m_d5_8cpp_source.html#l00018">18</a> of file <a class="el" href="_hash_m_d5_8cpp_source.html">HashMD5.cpp</a>.</p>

</div>
</div>
<a id="ac19394e2a1c3fba563445469b8b5399c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac19394e2a1c3fba563445469b8b5399c">&#9670;&nbsp;</a></span>GetSignatureSize()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t siggen::HashMD5::GetSignatureSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns size of the signature </p>
<dl class="section return"><dt>Returns</dt><dd>size of the signature </dd></dl>

<p>Implements <a class="el" href="structsiggen_1_1_hash_base.html#a6fa7d4e00b5564c1a9ee519409feeb98">siggen::HashBase</a>.</p>

<p class="definition">Definition at line <a class="el" href="_hash_m_d5_8cpp_source.html#l00013">13</a> of file <a class="el" href="_hash_m_d5_8cpp_source.html">HashMD5.cpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/x/siggen/lib/include/<a class="el" href="_hash_m_d5_8h_source.html">HashMD5.h</a></li>
<li>/home/x/siggen/lib/src/<a class="el" href="_hash_m_d5_8cpp_source.html">HashMD5.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>siggen</b></li><li class="navelem"><a class="el" href="structsiggen_1_1_hash_m_d5.html">HashMD5</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.16 </li>
  </ul>
</div>
</body>
</html>
